import request from "@/scripts/httpRequest"
import qs from "qs"

/**
 * 查询任务列表
 */
export const findAllTask = (query: any) => {
  return request({
    url: "/api-a/v1/task/list",
    method: "get",
    params: query
  })
}

/**
 * 事件推送新增
 */
export const createTask = (query: any) => {
  return request({
    url: "/api-a/v1/task/create",
    method: "post",
    data: query
  })
}

/**
 * 事件推送修改
 */
export const updateTask = (query: any) => {
  return request({
    url: "/api-a/v1/task/update",
    method: "post",
    data: query
  })
}

/**
 * 事件推送修改
 */
export const deleteTask = (query: any) => {
  return request({
    url: "/api-a/v1/task/delete",
    method: "get",
    params: query
  })
}

/**
 * 推送历史查询
 */
export const findTaskLogs = (query: any) => {
  return request({
    url: "/api-a/v1/log/list",
    method: "get",
    params: query
  })
}
